/* Copyright (C) 2000-2015 Lavtech.com corp. All rights reserved.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
*/

#ifndef _UDM_DOC_H
#define _UDM_DOC_H

UDM_API(void) UdmDocInit(UDM_DOCUMENT*);
UDM_API(void) UdmDocFree(UDM_DOCUMENT*);
size_t UdmDocUsedMemory(const UDM_DOCUMENT *Doc);

udm_rc_t UdmDocToConstWordList(UDM_AGENT *Indexer,
                               UDM_DOCUMENT *Doc, 
                               UDM_CONSTWORDLIST *CWL,
                               UDM_CHARSET *doccs,
                               int cnvflags, int all_section_flags,
                               udm_timer_t *timer_parse,
                               udm_timer_t *timer_words);
#endif
