/* Copyright (C) 2000-2015 Lavtech.com corp. All rights reserved.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
*/

#ifndef _UDM_RESULT_H
#define _UDM_RESULT_H

void UdmResultInit(UDM_RESULT*);
UDM_API(void) UdmResultFree(UDM_RESULT*);
UDM_API(size_t) UdmResultNumRows(UDM_RESULT *);
UDM_API(size_t) UdmResultFirst(UDM_RESULT *);
UDM_API(size_t) UdmResultLast(UDM_RESULT *);
UDM_API(size_t) UdmResultTotalFound(UDM_RESULT *);
UDM_API(udm_rc_t) UdmResultToVarList(UDM_VARLIST *Vars, const UDM_RESULT *);

udm_rc_t UdmResultAppendAndInit(UDM_RESULT *);
udm_rc_t UdmResultAppendDoc(UDM_RESULT *, UDM_DOCUMENT *Doc);
udm_rc_t UdmQueryFromXML(UDM_AGENT *A, UDM_QUERY *Query, const char *s, size_t l, UDM_CHARSET *cs);

#endif
